{% extends "home/base.html" %}
{% block content %}
        <div class="section">
            <div class="container">
                <div class="row">
                    <div class="custom-sidebar col-md-3 col-sm-12">
                        <div class="widget clearfix">
                            <div class="search-tab clearfix">
                                <div class="inner-addon right-addon">
                                    <h3>Filter By</h3>
                                 </div>
                                <!-- Tab panes -->
                                <div class="tab-content">
                                    <div role="tabpanel" class="tab-pane in active" id="tab01">
                                        <div class="search-wrapper">
                                          <form class="row" method="get">
                                                <div class="col-md-12 col-sm-12 col-xs-12">
                                                    <div class="form-input">
                                                      {{form.make(class="form-control")}}
                                                      {%for error in form.make.errors%}
                                                      <span style="color:red">{{error}}</span>
                                                      {% endfor %}
                                                    </div>
                                                    <div class="form-input">
                                                      {{form.model(class="form-control carsearch")}}
                                                      {%for error in form.model.errors%}
                                                      <span style="color:red">{{error}}</span>
                                                      {% endfor %}
                                                    </div><!-- end form-input -->
                                                    <div class="form-input">
                                                      {{form.year(class="form-control carsearch")}}
                                                      {%for error in form.year.errors%}
                                                      <span style="color:red">{{error}}</span>
                                                      {% endfor %}
                                                    </div><!-- end form-input -->
                                                    <div class="form-input">
                                                      {{form.fuel(class="form-control carsearch")}}
                                                      {%for error in form.fuel.errors%}
                                                      <span style="color:red">{{error}}</span>
                                                      {% endfor %}
                                                    </div><!-- end form-input -->
                                                    <div class="form-input">
                                                      {{form.transmission(class="form-control carsearch")}}
                                                      {%for error in form.transmission.errors%}
                                                      <span style="color:red">{{error}}</span>
                                                      {% endfor %}
                                                  </div>
                                                </div><!-- end col -->
                                            </form><!-- end row -->
                                        </div><!-- end search-wrapper -->
                                    </div><!-- end tab-pane -->
                                </div><!-- end tab content -->
                            </div>
                        </div><!-- end widget -->
                        <div class="widget custom-widget clearfix">
                            <div class="stm-filter-gigfilter">
                                <h3>Select Price</h3>
                                <div class="row gigimotors-padding">
                                  <form id="form-min_val" method="post">
                                    <div class="col-md-6 col-sm-6 col-md-wider-right">
                                        <input name="min_price" value="0" onkeyup="postinput()" id="stm_filter_min_price" type="text">
                                    </div>
                                    <div class="col-md-6 col-sm-6 col-md-wider-left">
                                        <input name="max_price" onkeyup="postinput()" id="stm_filter_max_price" value="{% if maxval %}{{ maxval }}{%else%}0{%endif%}" type="text">
                                    </div>
                                  </form>
                                </div>
                            </div>
                        </div><!-- end widget -->
                        <div class="widget custom-widget clearfix">
                            <div class="stm-filter-gigfilter">
                                <h3>Body</h3>
                                <div class="row gigimotors-padding">
                                    <div class="stm-accordion-inner">
                                      <form id="form-checkbox">
                                        <label class="stm-option-label">
                                            <div class="checker">
                                                <span><input name="hatchback" value="hatchback" type="checkbox"></span>
                                            </div>
                                            <span class="gigimotors-plain">Hatchback</span>
                                        </label>
                                        <label class="stm-option-label">
                                            <div class="checker">
                                                <span><input name="pickup" value="pickup" type="checkbox"></span>
                                            </div>
                                            <span class="gigimotors-plain">Pickup</span>
                                        </label>
                                        <label class="stm-option-label">
                                            <div class="checker">
                                                <span><input name="sedan" value="sedan" type="checkbox"></span>
                                            </div>
                                            <span class="gigimotors-plain">Sedan</span>
                                        </label>
                                        <label class="stm-option-label">
                                            <div class="checker">
                                                <span><input name="station-wagons" value="station-wagons" type="checkbox"></span>
                                            </div>
                                            <span class="gigimotors-plain">Wagons</span>
                                        </label>
                                        <label class="stm-option-label">
                                            <div class="checker">
                                                <span><input name="suv" value="suv" type="checkbox"></span>
                                            </div>
                                            <span class="gigimotors-plain">SUV</span>
                                        </label>
                                        <label class="stm-option-label">
                                            <div class="checker">
                                                <span><input name="vans" value="vans" type="checkbox"></span>
                                            </div>
                                            <span class="gigimotors-plain">Vans</span>
                                        </label>
                                      </form>
                                    </div>
                                </div>
                            </div>
                        </div><!-- end widget -->


                    </div><!-- end col -->

                    <div class="col-md-9 col-sm-12">
                        <div class="car-list-wrapper clearfix">
                            <div class="list-top clearfix">
                                <div class="stm-listing-directory-title pull-left">
                                    <h3 class="title">Cars for sale</h3>
                                </div>
                            </div><!-- end list-top -->
                            <div id="inventory-cars">
                            {% include 'home/_post.html' %}
                          </div>

                        </div><!-- end car-list-wrapper -->
                    </div><!-- end col -->
                </div><!-- end row -->
            </div><!-- end container -->
        </div><!-- end section -->
{% endblock %}
{% block scripts %}
  {{super()}}
  <script>
  function postinput(){
    // var send = {
    //     min_val: $(this).val()
    // };
    //   if($(this).val() != ''){
    //     $.getJSON("{{ url_for('home._get_cars') }}", send, function(data) {
    //       Object.keys(data).forEach(function (item)
    //       {
    //       });
    //     });
    //   }
    if($('#min_val').val() != '' && $('#max_val').val() != ''){
      $.ajax({
              method: "get",
              url: "{{ url_for('home._get_cars') }}",
              data: $('#form-min_val').serialize()})
              .done(function(data) {
          $('#inventory-cars').html(data)
        });
  }
}
$(document).ready(function() {
    $( "input[type='checkbox']").on( "click",function() {
      $.ajax({
              method: "get",
              url: "{{ url_for('home._get_body') }}",
              data: $('#form-checkbox').serialize()})
              .done(function(data) {
          $('#inventory-cars').html(data)
        });
    });
});
  </script>
{% endblock %}
